//CFESPlayerName - [2020-04-13 11:57:46]
#ifndef _CFESPLAYERNAME_H_
#define _CFESPLAYERNAME_H_

#include "common.h"
#include "CFEScreen.h"
#include "CFEKeyboard.h"
#include "TPlayerInfo.h"
#include "CGfxKits.h"
/*
001301F4 CFESPlayerName::CFESPlayerName()
00130220 CFESPlayerName::~CFESPlayerName()
00130224 CFESPlayerName::~CFESPlayerName()
00130234 CFESPlayerName::Init()
001303DC CFESPlayerName::SetupPlayer()
00130458 CFESPlayerName::ShowKeyboard(int,void *)
0013047C CFESPlayerName::Exit()
001304C4 CFESPlayerName::SavePlayer()
00130500 CFESPlayerName::Process()
0013064C CFESPlayerName::Render2D()
001306B0 CFESPlayerName::Render3D()
00130970 CFESPlayerName::Render2DHUD()

*/

class CFESPlayerName : public CFEScreen {
public:
  CFESPlayerName();                //001301F4
  ~CFESPlayerName();               //00130220 00130224
  void Init();                     //00130234
  void SetupPlayer();              //001303DC
 static  void ShowKeyboard(int, void *);  //00130458
  void Exit();                     //0013047C
  void SavePlayer();               //001304C4
  void Process();                  //00130500
  void Render2D();                 //0013064C
  void Render3D();                 //001306B0
  void Render2DHUD();              //00130970

  TBuildKitTeamTextures tBuildKitTeamTextures_10;

  TPlayerInfo tPlayerInfo_28;
 class  CFE3DPlayer* cFE3DPlayer_AC;
 int shirtNumber_B0;
 struct {
	 wchar_t buf[0x11];
 } filed_B4;

 short filed_D6;
 int filed_D8;
 int filed_DC;
 static   CFEKeyboard* ms_pKeyboard;
 static   bool ms_bKeyboardShown;
};

#endif  //_CFESPLAYERNAME_H_